package xyz.tbvns.ui.MenuBarTabs;

import imgui.ImGui;
import xyz.tbvns.ui.MenuBarTab;
import xyz.tbvns.ui.UIManager;
import xyz.tbvns.ui.Windows.HelpWindow;
import xyz.tbvns.ui.Windows.InfoWindow;

import java.awt.*;
import java.net.URI;

public class AboutTabs implements MenuBarTab {
    @Override
    public void render() {
        if (ImGui.beginMenu("About")) {
            try {
                if (ImGui.menuItem("Help", "I")) {
                    UIManager.getActiveUI().put(HelpWindow.class, true);
                }
                if (ImGui.menuItem("Wiki", "H")) {
                    Desktop.getDesktop().browse(new URI("https://git.tbvns.xyz/tbvns/PowerGD/wiki"));
                }
                if (ImGui.menuItem("Info", "I")) {
                    UIManager.getActiveUI().put(InfoWindow.class, true);
                }
                if (ImGui.menuItem("Discord")) {
                    Desktop.getDesktop().browse(new URI("https://discord.gg/Vh8QAMq6BY"));
                }
                if (ImGui.menuItem("Git")) {
                    Desktop.getDesktop().browse(new URI("https://git.tbvns.xyz/tbvns/PowerGD"));
                }
                ImGui.endMenu();
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
        }
    }

    @Override
    public int index() {
        return 3;
    }
}
